Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1058670

Summary: peer probe: peer probe `hostname` returned with success but one of the other node failed to add the probed hostname as peer
Product: Red Hat Gluster Storage Reporter: M S Vishwanath Bhat <vbhat>
Component: glusterdAssignee: Bug Updates Notification Mailing List <rhs-bugs>
Status: CLOSED EOL QA Contact: storage-qa-internal <storage-qa-internal>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 2.1CC: mzywusko, nlevinki, vbellur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: glusterd
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-03 17:22:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description M S Vishwanath Bhat 2014-01-28 10:33:15 UTC
Description of problem:
While creating a trusted storage pool using gluster peer probe, one of the node failed to add it has peer but the peer probe returned success. And consequently create volume failed. And peer status returns all nodes to be in proper connected state, except for the node in which it failed. There it shows peer status in a weird way. It says the peer in cluster but does not display which node. Like below...

[root@harrier ~]# gluster peer status
Number of Peers: 3

Hostname: 
Uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
State: Peer in Cluster (Connected)

Hostname: mustang
Uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
State: Peer in Cluster (Connected)

Hostname: typhoon
Uuid: 5d33105b-6821-4c3d-a23e-207741d33355
State: Peer in Cluster (Connected)

And I had all the nodes in '/etc/hosts'. So it's resolvable, not via DNS but via /etc/hosts.


Version-Release number of selected component (if applicable):
glusterfs-3.4.0.57rhs-1.el6rhs.x86_64

How reproducible:
I hit this only once. Not really sure if reproducible again.

Steps to Reproduce:
1. Have four hostnames/nodes which is resolvable via /etc/hosts. 
2. Now peer probe using hostname from one node to other three
3. Now peer probe the first node from second node using the hostname

Actual results:
The peer probe from second node succeeded. But the third node failed to add first node with hostname as peer.

peer status from first node

[root@spitfire glusterfs-deploy-scripts]# gluster peer status
Number of Peers: 3

Hostname: mustang
Uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
State: Peer in Cluster (Connected)

Hostname: harrier
Uuid: a4939448-a186-450d-bedd-d2f893de3fa1
State: Peer in Cluster (Connected)

Hostname: typhoon
Uuid: 5d33105b-6821-4c3d-a23e-207741d33355
State: Peer in Cluster (Connected)


Peer status from second node

[root@mustang ~]# gluster peer status
Number of Peers: 3

Hostname: 10.70.42.192
Uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
State: Peer in Cluster (Connected)

Hostname: harrier
Uuid: a4939448-a186-450d-bedd-d2f893de3fa1
State: Peer in Cluster (Connected)

Hostname: typhoon
Uuid: 5d33105b-6821-4c3d-a23e-207741d33355
State: Peer in Cluster (Connected)


NOTE: notice the IP of first node instead of hostname. That was the node from which other three were peer probed.

Now peer status from third node

[root@harrier ~]# gluster peer status
Number of Peers: 3

Hostname: 
Uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
State: Peer in Cluster (Connected)

Hostname: mustang
Uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
State: Peer in Cluster (Connected)

Hostname: typhoon
Uuid: 5d33105b-6821-4c3d-a23e-207741d33355
State: Peer in Cluster (Connected)




Expected results:
The peer probe of first node by hostname, should make the peer status detect it by hostname. And not really fail.

Additional info:

The g;usterd logs from mustang (the second node) 

[2014-01-27 09:57:01.407715] I [glusterd-handler.c:2028:__glusterd_handle_incoming_friend_req] 0-glusterd: Received probe from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:01.407942] I [glusterd-handler.c:3059:glusterd_xfer_friend_add_resp] 0-glusterd: Responded to typhoon (0), ret: 0
[2014-01-27 09:57:01.516653] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, host: 10.70.42.192
[2014-01-27 09:57:01.516708] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: a4939448-a186-450d-bedd-d2f893de3fa1, host: harrier
[2014-01-27 09:57:01.516733] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: 5d33105b-6821-4c3d-a23e-207741d33355, host: typhoon
[2014-01-27 09:57:01.758650] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
[2014-01-27 09:57:01.758726] I [glusterd-rpc-ops.c:357:__glusterd_friend_add_cbk] 0-glusterd: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355, host: typhoon, port: 0
[2014-01-27 09:57:01.898989] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: a4939448-a186-450d-bedd-d2f893de3fa1
[2014-01-27 09:57:01.899267] I [glusterd-handler.c:821:__glusterd_handle_cli_probe] 0-glusterd: Received CLI probe req spitfire 24007
[2014-01-27 09:57:01.900300] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, host: spitfire
[2014-01-27 09:57:01.900337] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: a4939448-a186-450d-bedd-d2f893de3fa1, host: harrier
[2014-01-27 09:57:01.900359] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: 5d33105b-6821-4c3d-a23e-207741d33355, host: typhoon
[2014-01-27 09:57:01.900523] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:01.900604] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.152681] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.152746] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.152794] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:02.153124] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
[2014-01-27 09:57:02.354853] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:02.355024] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: a4939448-a186-450d-bedd-d2f893de3fa1
[2014-01-27 09:57:02.355080] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.355102] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.355117] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.355134] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:02.355457] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:02.355506] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.355693] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.355714] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.355732] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:02.450513] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: a4939448-a186-450d-bedd-d2f893de3fa1
[2014-01-27 09:57:02.589372] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:09.141810] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:10.142145] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:12.142688] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s


There are no ERROR logs here. Now glusterd logs from the harrier (third node, which actually failed to add it as peer)

[2014-01-27 09:57:01.176159] I [socket.c:3520:socket_init] 0-management: using system polling thread
[2014-01-27 09:57:01.182446] I [glusterd-handler.c:2886:glusterd_friend_add] 0-management: connect returned 0
[2014-01-27 09:57:01.184450] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:01.200376] I [glusterd-ping.c:297:glusterd_ping_cbk] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:01.677632] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:01.677778] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:01.677808] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:01.677824] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:01.677842] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:01.678126] I [glusterd-handshake.c:562:__glusterd_mgmt_hndsk_versions_ack] 0-management: using the op-version 2
[2014-01-27 09:57:01.928409] I [glusterd-handler.c:2028:__glusterd_handle_incoming_friend_req] 0-glusterd: Received probe from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:01.928756] I [glusterd-handler.c:3059:glusterd_xfer_friend_add_resp] 0-glusterd: Responded to typhoon (0), ret: 0
[2014-01-27 09:57:02.192967] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, host: 10.70.42.192
[2014-01-27 09:57:02.193024] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, host: mustang
[2014-01-27 09:57:02.193048] I [glusterd-sm.c:495:glusterd_ac_send_friend_update] 0-: Added uuid: 5d33105b-6821-4c3d-a23e-207741d33355, host: typhoon
[2014-01-27 09:57:02.354757] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:02.354855] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.354881] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.354902] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:02.354916] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.355649] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:02.355741] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:
[2014-01-27 09:57:02.449478] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:02.449542] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.449564] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:02.449894] I [glusterd-rpc-ops.c:357:__glusterd_friend_add_cbk] 0-glusterd: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355, host: typhoon, port: 0
[2014-01-27 09:57:02.553775] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3
[2014-01-27 09:57:02.553859] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:02.739209] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:06.388833] E [glusterd-utils.c:5600:glusterd_new_brick_validate] 0-management: Host spitfire is not in 'Peer in Cluster' state
[2014-01-27 09:57:06.388897] E [glusterd-volume-ops.c:795:glusterd_op_stage_create_volume] 0-management: Host spitfire is not in 'Peer in Cluster' state
[2014-01-27 09:57:06.388919] E [glusterd-op-sm.c:3943:glusterd_op_ac_stage_op] 0-management: Stage failed on operation 'Volume Create', Status : -1
[2014-01-27 09:57:10.092105] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:10.092224] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:12.092695] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 10:08:13.255010] I [glusterd-handler.c:1018:__glusterd_handle_cli_list_friends] 0-glusterd: Received cli list req
[2014-01-27 10:09:03.629788] I [glusterd-handler.c:1018:__glusterd_handle_cli_list_friends] 0-glusterd: Received cli list req


Somehow it's not recognising the spitfire (the first node) by it's hostname.

glusterd logs from spitfire (first node)

[2014-01-27 09:57:01.067246] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:01.067265] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:01.162774] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:01.178758] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: a4939448-a186-450d-bedd-d2f893de3fa1
[2014-01-27 09:57:01.193979] I [glusterd-rpc-ops.c:554:__glusterd_friend_update_cbk] 0-management: Received ACC from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:01.512804] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:01.512934] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:01.512956] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:01.512975] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:01.513160] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:01.877037] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:01.877159] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:01.877178] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:01.877196] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:01.877215] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:01.896282] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959
[2014-01-27 09:57:01.896389] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:spitfire
[2014-01-27 09:57:01.896414] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:01.896433] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:01.896452] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:02.189272] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: a4939448-a186-450d-bedd-d2f893de3fa1
[2014-01-27 09:57:02.189424] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.189447] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.189466] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.189486] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: 5d33105b-6821-4c3d-a23e-207741d33355, hostname:typhoon
[2014-01-27 09:57:02.342787] I [glusterd-handler.c:2190:__glusterd_handle_friend_update] 0-glusterd: Received friend update from uuid: 5d33105b-6821-4c3d-a23e-207741d33355
[2014-01-27 09:57:02.342858] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: bc5e53f0-feaa-4892-ad1b-8c630258c5f3, hostname:10.70.42.192
[2014-01-27 09:57:02.342876] I [glusterd-handler.c:2244:__glusterd_handle_friend_update] 0-: Received my uuid as Friend
[2014-01-27 09:57:02.342895] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: e8f600d6-a367-423c-b80a-dfad2b7c4959, hostname:mustang
[2014-01-27 09:57:02.342913] I [glusterd-handler.c:2235:__glusterd_handle_friend_update] 0-: Received uuid: a4939448-a186-450d-bedd-d2f893de3fa1, hostname:harrier
[2014-01-27 09:57:06.385081] E [glusterd-syncop.c:103:gd_collate_errors] 0-: Staging failed on harrier. Error: Host spitfire is not in 'Peer in Cluster' state
[2014-01-27 09:57:09.032525] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:09.032627] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s
[2014-01-27 09:57:10.032855] I [glusterd-ping.c:181:glusterd_start_ping] 0-management: defaulting ping-timeout to 10s



Since the issue is hit only once and not really consistently reproducible, I have it in medium severity. If I have a proper steps to reproduce, will write add it as a comment.

Comment 2 Vivek Agarwal 2015-12-03 17:22:19 UTC
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.